org.eclipse.ui.help

## Interface IContextComputer

All Known Implementing Classes:
  DialogPageContextComputer, ViewContextComputer

Deprecated.
marked for deletion, see Bug 442961, nested contexts are no longer supported by the help support system

    @Deprecated
    public interface IContextComputer

A content computer is used to dynamically calculate help support contexts at the time the user requests help.

This interface may be implemented by clients.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.
Restriction:
  This interface is not intended to be referenced by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`Object[]` `computeContexts(HelpEvent event)` Deprecated. Computes contexts for the help system.
`Object[]` `getLocalContexts(HelpEvent event)` Deprecated. Returns the local contexts for this context computer.

### Method Detail

#### computeContexts

    Object[] computeContexts(HelpEvent event)

Deprecated.
Computes contexts for the help system.

Parameters:
  `event` - the help event which triggered this request for help
Returns:
  a mixed-type array of context ids (type `String`) and/or help contexts (type `IContext`)
See Also:
  `IContext`

#### getLocalContexts

    Object[] getLocalContexts(HelpEvent event)

Deprecated.
Returns the local contexts for this context computer.

Typically this method is called by other instances of `IContextComputer` in their `computeContexts` method.

The important concept here is that the value returned by `computeContexts` represents the complete help contexts and is passed directly to the help support system.

However the value returned by this method represents the only the contexts for the particular control with which this `IContextComputer` is associated.

Parameters:
  `event` - the help event which triggered this request for help
Returns:
  a mixed-type array of context ids (type `String`) and/or help contexts (type `IContext`)
See Also:
  `IContext`